<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Quotes</title>
  </head>
  <body id="app">
    <div class="container">
      <h1>Quotes:</h1>
      <form action="." method="POST">
        {% csrf_token %}
        <input type="text" name="text" placeholder="your quote..." />
        <button>add a quote</button>
      </form>
      <div class="quotes">
        {% for quote in quotes %}
        <div class="quote">
          <h3>{{ quote.text }}</h3>
        </div>
        {% endfor %}
      </div>
    </div>
  </body>
  <style>
    input {
      padding: 10px 15px;
      border: none;
      font-weight: 700;
      background: rgba(255, 192, 203, 0.397);
      border-radius: 5px;
      outline: none;
    }
    .quotes {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-gap: 30px;
      margin-top: 30px;
    }
    .quote {
      background: rgba(0, 0, 0, 0.2);
      border-radius: 5px;
      width: 300px;
      padding: 20px;
    }
    .container {
      width: 100%;
      height: 100%;
      padding: 30px;
    }
    h1 {
      width: 50%;
      margin-left: auto;
      margin-right: auto;
      margin-bottom: 50px;
    }
    button,
    a {
      padding: 10px 15px;
      border-radius: none;
      border: none;
      font-weight: 700;
      outline: none;
      background: pink;
      transition: all 0.1s ease-in;
      cursor: pointer;
      border-radius: 5px;
    }
    button:hover,
    a:hover {
      transform: scale(1.05);
      transform-origin: center;
    }
    #app {
      font-family: Avenir, Helvetica, Arial, sans-serif;
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
      text-align: center;
      color: #2c3e50;
      width: 70%;
      margin: auto;
      height: 100%;
    }
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }
  </style>
</html>
